Subject: Re: Reg. Real time Transport Protocol

From: Stanley Feng <[email-masked]>
Date: Tue, 08 Jun 1999 10:10:34 -0400

Forgive me if my questions are silly.

Colin Perkins wrote:

> --> Venkata Narasimha Murthy Nanduri writes:
> >1) How can we know whether an RTP packet is encapsulated in the UDP data
> >field?
>
> The RTP spec contains code to validate a packet, to ensure that it is RTP
> data.
>

So if I want to do some special operation on all the RTP packets, do I have
to check the payload of every UDP packet? i.e., even if only 1% of the UDP
packets contain RTP packets, I will have to do the checking for all the UDP
packets?

> >2) If it is based on the UDP port numbers, then are there any standard
> >UDP port numbers that will be used for RTP?
>
> The ports used for RTP traffic are signalled out of band using your
> favourite control protocol (SIP, SAP, RTSP, H.whatever, etc...). There
> are no standard UDP ports for RTP traffic.
>

Since we can use control protocol to agree on some port for RTP traffic, I
guess we are ok.

> Colin
>
> ---------
> This message came from the IETF IPTEL Working Group Mailing List.

---------
This message came from the IETF IPTEL Working Group Mailing List.

---

From: Colin Perkins <[email-masked]>
Date: Tue, 08 Jun 1999 15:57:01 +0100

>packets contain RTP packets, I will have to do the checking for all the UDP

Yes, unless you have used a signalling protocol to decide which ports are
used for RTP traffic. 

>Since we can use control protocol to agree on some port for RTP traffic, I

Right; this is how things normally work.

Colin

---------